Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: aMsn Software installatie in Ubuntu  (gelezen 8078 keer)

VoltAgo

  • Gast
aMsn Software installatie in Ubuntu
« Gepost op: 2007/09/10, 23:34:26 »
Heb gisteren met plezier in aMsn gewerkt. Vandaag kreeg ik terwijl ik ingelogd was een update van Ubunt, prima. Echter na afsluiting van aMsn krijg ik elke keer de melding: " "aMSN gebruikt nu versie 9 van het Msn protocol. ... amsn heeft nu een tls module nodig.enz ". Als ik deze module aanklik (64) krijg ik de melding: "Er is een fout opgetreden  bij het installeren van de module TLS" Kort gezegd hij kan hem niet downloaden. Klopt na lang zoeken gevonden. gedownload. Maar nu?.... hoe installeer ik die module? met welke tool in ubuntu 7 doe ik dat of is er een andere oplossing? Heb aMsn getracht te deinstalleren, opnieuw installeren: biedt geen soelaas, jammer.
    Ben een beginner met Ubuntu, zeer anthousiast, mooie sw, maar het hoe en waarom van de installatie ontgaat me nog.
Please HELP!!

gr. VoltAgo

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
aMsn Software installatie in Ubuntu
« Reactie #1 Gepost op: 2007/09/11, 02:30:44 »
Welkom :)

Omdat je zelf op zoek bent gegaan op internet naar allerlei onderdelen van amsn denk ik dat je iets heel belangrijks over het hoofd hebt gezien, namelijk het installatieprogramma van Ubuntu zelf.
Dit programma heet Synaptic, en is terug te vinden in het menu bovenin je scherm. Hierin kan je zoeken op amsn, en het direct installeren.

Offline Monkwarrior

  • Lid
  • Steunpunt: Nee
aMsn Software installatie in Ubuntu
« Reactie #2 Gepost op: 2007/09/11, 12:37:25 »
En doe eens gek als je amarok ook hebt draaien:
http://www.kde-apps.org/content/show.php/amsn-now-listen?content=65815&PHPSESSID=f1e3149b1c6910a20ff924759a0cc11c

Waarschuwing: wellicht iets lastiger voor de beginner.

VoltAgo

  • Gast
aMsn Software installatie in Ubuntu
« Reactie #3 Gepost op: 2007/09/11, 14:19:42 »
Hartelijk dank, maar ik heb via software installeren binnen ubuntu amsn geinstallerd en toen met plezier gewerkt. Via de automatisch update's kwam er toen een update en die heeft de boel verknald! Dus toen ben ik naar de website gegaan waar de update de tls vandaan wilde halen (staat verkeerd adres in) en toen de path? tls1.5.0-linux-x86.tar.gz gedownload. (tls1.5.0-linux-x86.tar.gz) Maar hoe zorg ik nu dat dit gz geinstalleerd wordt, zodat de amsn wel werkt!
m.vr.gr.
Voltago

Offline Marc Duval

  • Lid
  • Steunpunt: Nee
aMsn Software installatie in Ubuntu
« Reactie #4 Gepost op: 2007/09/11, 15:19:40 »
Ik zou in synaptic eens kijken of die TLS al geïnstalleerd is. Ofwel is hij niet geïnstalleerd en dan kan je dat alsnog doen, ofwel is hij wel geînstalleerd en dan moet je eens kijken of amsn hem wel kan vinden. Bij de voorkeuren kan je een pad invoeren met de juiste locatie van tls.

VoltAgo

  • Gast
aMsn Software installatie in Ubuntu
« Reactie #5 Gepost op: 2007/09/12, 00:14:50 »
Hallo again,

Volgens Synaptic zijn de bestanden geinstalleerd.
In amsn bij voorkeuren vertelt waar ze staan. Amsn afgesloten en opgestart, userid en ... zelfde probleem. gaan zoeken op schijf of ze nog ergens staan, jawel, ook dat pad in amsn gezet, weer getest, jammer maar helaas, pindakaas.

1e pad = usr/lib/tls1.50.
3 bestanden: libtls1.50.so, pkgindex.tcl en tls.tcl.
Alle 3 met als datum 14 febr.2004.

2e pad = lib/tls/i686/cmov/1.50.
met diverse .so bestanden, maar geen tls1.50 ed


Wie het weet mag het zeggen, maar ik baal als een stekker. Had ik maar nooit die update geaccepteerd, maar je vertrouwd ubuntu en dan dit.

Misschien handig om bij foutmeldingen de juiste bestandsnamen te vermelden die nodig zijn.

m.vr.gr.
Voltago

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
aMsn Software installatie in Ubuntu
« Reactie #6 Gepost op: 2007/09/12, 05:41:07 »
Het is mij nog niet helemaal duidelijk, dus nog wat vragen/opmerkingen:
Je gebruikt Ubuntu 7.04 (Feisty Fawn)?
Gebruik je de 64bit versie of de 32bit?
Je hebt Amsn geïnstalleerd via Synaptic?
Na een update via de Update Manager werkt Amsn niet meer?

Welke foutmelding krijg je precies en welk programma geeft die foutmelding? (Amsn of de update manager?)
Welke versie van Amsn is er geïnstalleerd? Dit kan je terugvinden in Synaptic, en in Amsn bij Help->About/Over


Je hebt het in post #4 over een .tar.gz bestand dat de installer binnen wil halen. Dat snap ik niet, want de Update Manager van Ubuntu werkt alleen maar met .deb bestanden. Maak je soms gebruik van een ander programma zoals Easy Ubuntu of Automatix? Als je die gebruikt, dan is je systeem verziekt. Easy Ubuntu en Automatix maken je systeem kapot en de enige manier om dat te herstellen is een verse installatie.

Offline Marc Duval

  • Lid
  • Steunpunt: Nee
aMsn Software installatie in Ubuntu
« Reactie #7 Gepost op: 2007/09/12, 09:04:04 »
Ik heb met de installatie van amsn nog nooit problemen gehad. Gewoon geïnstalleerd vanuit synaptic.

Probeer misschien eens om amsn en tls te verwijderen en opnieuw te installeren vanuit de repository?

Offline Monkwarrior

  • Lid
  • Steunpunt: Nee
aMsn Software installatie in Ubuntu
« Reactie #8 Gepost op: 2007/09/12, 11:49:47 »
Overigens vind ik de volgende MSN-kloon stukken maar dan ook stukken beter:
http://www.kde-apps.org/content/show.php/KMess?content=10013

Deze is wel voor KDE ....

Monk.

VoltAgo

  • Gast
aMsn Software installatie in Ubuntu
« Reactie #9 Gepost op: 2007/09/12, 23:57:29 »
Beste Johanvd,

Bij deze de antwoorden op je zeer gewenst reactie:
- Ik heb ubuntu Feisty Farm  versie 7.04 in 64 bit
- Amsn geinstalleerd met Synaptic
- Na de update werkte amsn niet meer en kwam met de reeds bekende problemen.
- foutmelding komt uit amsn: "aMSN gebruikt nu versie 9 van het Msn protocol. ... amsn heeft nu een tls module nodig.enz ". Als ik deze module aanklik (64) krijg ik de melding: "Er is een fout opgetreden  bij het installeren van de module TLS" Kort gezegd hij kan hem niet downloaden.
- versie van amsn: 0.97b.
- Dat van die .deb bestanden wist ik niet (ben beginner) Ben zelf op zoek gegaan naar een tls bestand op de door amsn aangegeven site.
- Had wel automatix geinstallerd via Synaptic en nu definitief (incl bestanden) verwijderd via synaptic.

Ik hoop dat je een antwoord weet, zodat ik weer kan amsnen.

Nog een ander vraagje: met welk linux systeem werkt ubuntu? Dit ivm de losse sw die je wel eens tegen komt.

Alvast bedankt,
m.vr.gr.
Voltago

VoltAgo

  • Gast
aMsn Software installatie in Ubuntu
« Reactie #10 Gepost op: 2007/09/12, 23:59:20 »
Citaat van: Marc Duval
Ik heb met de installatie van amsn nog nooit problemen gehad. Gewoon geïnstalleerd vanuit synaptic.

Probeer misschien eens om amsn en tls te verwijderen en opnieuw te installeren vanuit de repository?
verwijdert en opnieuw geinstalleerd met Synaptic.
Ben beginner; wat is repository?

m.vr.gr.
Voltago

VoltAgo

  • Gast
aMsn Software installatie in Ubuntu
« Reactie #11 Gepost op: 2007/09/13, 00:00:51 »
Citaat van: Monkwarrior
Overigens vind ik de volgende MSN-kloon stukken maar dan ook stukken beter:
http://www.kde-apps.org/content/show.php/KMess?content=10013

Deze is wel voor KDE ....

Monk.
Wat is KDE?
Ben een beginnertje!
m.vr.gr.
Voltago

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
aMsn Software installatie in Ubuntu
« Reactie #12 Gepost op: 2007/09/13, 01:27:19 »
Heb je in Synaptic het pakket tcltls geïnstalleerd? Als dat zo is, dan zou amsn die automatisch moeten vinden. Je moet dan niets invullen in de instellingen van amsn.
Wat krijg je te zien na het uitvoeren van het volgende commando in de terminal?
cat /usr/lib/tls1.50/pkgIndex.tcl
Let op de hoofdletters, kopiëren en plakken in de terminal is het makkelijkst.

Waar heb je die amsn vandaan? In de standaard repository's zit namelijk versie 0.96. Heb je een extra repository toegevoegd aan je systeem? Wat staat er in het bestand /etc/apt/sources.list?

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
aMsn Software installatie in Ubuntu
« Reactie #13 Gepost op: 2007/09/13, 01:28:21 »
Info over KDE en nog veel meer kan je trouwens op de wiki vinden. Klik maar eens op de link in mijn handtekening.

VoltAgo

  • Gast
aMsn Software installatie in Ubuntu
« Reactie #14 Gepost op: 2007/09/17, 15:00:29 »
Citaat van: Johanvd
Heb je in Synaptic het pakket tcltls geïnstalleerd? Als dat zo is, dan zou amsn die automatisch moeten vinden. Je moet dan niets invullen in de instellingen van amsn.
Wat krijg je te zien na het uitvoeren van het volgende commando in de terminal?
cat /usr/lib/tls1.50/pkgIndex.tcl
Let op de hoofdletters, kopiëren en plakken in de terminal is het makkelijkst.

Waar heb je die amsn vandaan? In de standaard repository's zit namelijk versie 0.96. Heb je een extra repository toegevoegd aan je systeem? Wat staat er in het bestand /etc/apt/sources.list?
Beste Johan,
Hieronder de antwoorden op je vragen:

- Pakket tcltls is geinstalleerd, versie 1,5,0-4.

- Terminal output:
Command:  cat /usr/lib/tls1.50/pkgIndex.tcl
Output:

# pkgIndex.tcl -

#

#    A new manually generated "pkgIndex.tcl" file for tls to

#    replace the original which didn't include the commands from "tls.tcl".

#



package ifneeded tls 1.5 "[list load [file join $dir .. libtls1.50.so] ] ; [list source [file join $dir tls.tcl] ]"


Voor zover ik weet heb ik amsn uit de synaptic vandaan. Vreemd dat ik dan een andere versie heb, komt dat niet door die update?
- Files in /etc/apt/sources.list
in file /ect/apt staan dir: apt.conf.d + sources.list.d
in file /ect/apt staan verder een sources.list (document/applicatie) en een backup van deze, een secring.gpg(met rood X erin) + trustdb.gpg (met rood X erin) en een trusted.gpg.
In de dir sources.list.d staat verder niets, ook geen verborgen bestanden.

Ik hoop dat je er wat aan hebt en ik wacht in spanning op de oplossing.
m.vr.gr.
Voltago

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
aMsn Software installatie in Ubuntu
« Reactie #15 Gepost op: 2007/09/17, 16:40:15 »
Dan denk ik dat er een foutje in het bestand zit.
Voer het volgende commando uit in een terminal:
gksudo gedit /usr/lib/tls1.50/pkgIndex.tcl

Verander deze regel:
package ifneeded tls 1.5 "[list load [file join $dir .. libtls1.50.so] ] ; [list source [file join $dir tls.tcl] ]"

In deze regel:
package ifneeded tls 1.50 "[list load [file join $dir .. libtls1.50.so] ] ; [list source [file join $dir tls.tcl] ]"

Er is dus een 0 bijgekomen.
Hierna moet je waarschijnlijk eerst je computer opnieuw opstarten voordat amsn werkt.

Zie ook hier:
http://www.amsn-project.net/wiki/FAQ#I.27ve_installed_the_TLS_module.2C_however.2C_I_can.27t_set_the_path_to_the_module_under_.27Tools.27_.E2.86.92_.27Preferences.27_.E2.86.92_.27Advanced.27_.E2.86.92_.27Others.27.__How_can_this_be_fixed.3F

VoltAgo

  • Gast
aMsn Software installatie in Ubuntu
« Reactie #16 Gepost op: 2007/09/17, 17:56:01 »
Citaat van: Johanvd
Dan denk ik dat er een foutje in het bestand zit.
Voer het volgende commando uit in een terminal:
gksudo gedit /usr/lib/tls1.50/pkgIndex.tcl

Verander deze regel:
package ifneeded tls 1.5 "[list load [file join $dir .. libtls1.50.so] ] ; [list source [file join $dir tls.tcl] ]"

In deze regel:
package ifneeded tls 1.50 "[list load [file join $dir .. libtls1.50.so] ] ; [list source [file join $dir tls.tcl] ]"

Er is dus een 0 bijgekomen.
Hierna moet je waarschijnlijk eerst je computer opnieuw opstarten voordat amsn werkt.

Zie ook hier:
http://www.amsn-project.net/wiki/FAQ#I.27ve_installed_the_TLS_module.2C_however.2C_I_can.27t_set_the_path_to_the_module_under_.27Tools.27_.E2.86.92_.27Preferences.27_.E2.86.92_.27Advanced.27_.E2.86.92_.27Others.27.__How_can_this_be_fixed.3F
Ge zijt GEWELDIG ! ! !
Dat was het probleem, hij werkt weer. GEWELDIG !
Vanuit Spijkcity naar Rotjeknor, alle dank!
Foutje is het script, noemen ze dat, maar wel essentieel.

m.vr.gr.
Voltago

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
aMsn Software installatie in Ubuntu
« Reactie #17 Gepost op: 2007/09/17, 18:16:39 »
Graag gedaan :D

ubuntukluns

  • Gast
aMsn Software installatie in Ubuntu
« Reactie #18 Gepost op: 2008/01/21, 23:50:24 »
Citaat van: Johanvd
Heb je in Synaptic het pakket tcltls geïnstalleerd? Als dat zo is, dan zou amsn die automatisch moeten vinden. Je moet dan niets invullen in de instellingen van amsn.
Wat krijg je te zien na het uitvoeren van het volgende commando in de terminal?
cat /usr/lib/tls1.50/pkgIndex.tcl
Let op de hoofdletters, kopiëren en plakken in de terminal is het makkelijkst.

Waar heb je die amsn vandaan? In de standaard repository's zit namelijk versie 0.96. Heb je een extra repository toegevoegd aan je systeem? Wat staat er in het bestand /etc/apt/sources.list?
ik heb ook een probleem met Amsn, via synaptic derop gezet, tcltls staat er ook op. Als ik die cat /usr/... intyp in terminal krijg ik dit te zien

sven@sven-desktop:~$ cat /usr/lib/tls1.50/pkgIndex.tcl

# pkgIndex.tcl -
#
#    A new manually generated "pkgIndex.tcl" file for tls to
#    replace the original which didn't include the commands from "tls.tcl".
#

package ifneeded tls 1.50 "[list load [file join $dir .. libtls1.50.so] ] ; [list source [file join $dir tls.tcl] ]"


ik heb het probleem dat hij te pas en ten onpas zegt dat er een bug opgetreden is (veroorzaakt door TK). Ik kan ook niet bij over / about Amsn gaan omdat de taal niet ondersteund w ofzo. Ik kan ook niet rechtstreeks naar mijn postvak IN gaan.


edit; ik heb ook al bij die
gksudo gedit /usr/lib/tls1.50/pkgIndex.tcl

gekeken, maar ik ben bezitter van de extra 0 :p

Iemand raad?

alvast bedankt
Sven